Package owl.ltl.visitors

## Class LatexPrintVisitor

- java.lang.Object
- - owl.ltl.visitors.LatexPrintVisitor

- All Implemented Interfaces:
    `Function<Formula,​String>`, `Visitor<String>`

      public class LatexPrintVisitor
      extends Object
      implements Visitor<String>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LatexPrintVisitor​(List<String> alphabet)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `visit​(BooleanConstant booleanConstant)` |
    `String` | `visit​(Conjunction conjunction)` |
    `String` | `visit​(Disjunction disjunction)` |
    `String` | `visit​(FOperator fOperator)` |
    `String` | `visit​(GOperator gOperator)` |
    `String` | `visit​(Literal literal)` |
    `String` | `visit​(MOperator mOperator)` |
    `String` | `visit​(ROperator rOperator)` |
    `String` | `visit​(UOperator uOperator)` |
    `String` | `visit​(WOperator wOperator)` |
    `String` | `visit​(XOperator xOperator)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

    - ### Methods inherited from interface owl.ltl.visitors.Visitor

      `apply, visit, visit`

- - ### Constructor Detail

    - #### LatexPrintVisitor

          public LatexPrintVisitor​(List<String> alphabet)

  - ### Method Detail

    - #### visit

          public String visit​(BooleanConstant booleanConstant)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(Conjunction conjunction)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(Disjunction disjunction)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(FOperator fOperator)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(GOperator gOperator)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(Literal literal)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(MOperator mOperator)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(ROperator rOperator)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(UOperator uOperator)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(WOperator wOperator)

      Specified by:
        `visit` in interface `Visitor<String>`

    - #### visit

          public String visit​(XOperator xOperator)

      Specified by:
        `visit` in interface `Visitor<String>`